module Recomiendo
  class Reward
    def initialize(client)
      @client = client
    end
    
    def all(params={})
      @client.get('/rewards', params).parsed_response
    end

    def create(params={})
      if params.class != String and params.class != Integer
        params[:earned_on] ||= Time.now.strftime('%F')
        params[:payable_on] ||= (Time.now + 2592000).strftime('%F')

        @client.post('/rewards', params).parsed_response
      end
    end
    
    def delete(params={})
      #begin
        if params.has_key?(:reward_id)
          @client.delete("/rewards/#{params[:reward_id]}").parsed_response
        else
          puts "Insufficient parameters: reward_id"
        end
    end
    
    def update(params={})
      if params.has_key?(:reward_id)
        @client.put("/rewards/#{params[:reward_id]}", params).parsed_response
      else
        puts "Insufficient parameters: reward_id"
      end
    end
        
  end
end